org.apache.maven.shared.jar.identification.exposers

## Class FilenameExposer

- java.lang.Object
- - org.apache.maven.shared.jar.identification.exposers.FilenameExposer

All Implemented Interfaces:
  JarIdentificationExposer

    public class FilenameExposer
    extends Object
    implements JarIdentificationExposer

Exposer that examines a JAR file to derive Maven metadata from the pattern of the JAR's filename. Will match the format artifactId-version.jar.

### Constructor Summary

Constructors
Constructor and Description
`FilenameExposer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `expose(JarIdentification identification, JarAnalyzer jarAnalyzer)` Expose metadata during the identification process.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilenameExposer

    public FilenameExposer()

### Method Detail

#### expose

    public void expose(JarIdentification identification,
                       JarAnalyzer jarAnalyzer)

Description copied from interface: `JarIdentificationExposer`
Expose metadata during the identification process.

Specified by:
  `expose` in interface `JarIdentificationExposer`
Parameters:
  `identification` - the identification record to populate with the exposed metadata
  `jarAnalyzer` - the JAR to obtain the information from. Should be treated as read only, with the exception of caching the metadata if it would be identical when run over the same file again.